# Class InputFormatParameter

java.lang.Object
uk.ac.starlink.task.Parameter<String>
uk.ac.starlink.task.StringParameter
uk.ac.starlink.ttools.task.InputFormatParameter

All Implemented Interfaces:
  `ExtraParameter`

public class InputFormatParameter extends uk.ac.starlink.task.StringParameter implements ExtraParameter
Parameter for selecting input table format.

Since:
  15 Aug 2005
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`InputFormatParameter(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtraUsage(TableEnvironment env)`
Returns an extended usage message.
`String`
`getUsage()`
`final void`
`setTableDescription(String inDescrip, AbstractInputTableParameter<?> tableParam)`
Sets the wording used to refer to the input table in parameter descriptions.
`String`
`stringToObject(uk.ac.starlink.task.Environment env, String stringval)`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputFormatParameter

public InputFormatParameter(String name)

## Method Details

### setTableDescription

public final void setTableDescription(String inDescrip, AbstractInputTableParameter<?> tableParam)
Sets the wording used to refer to the input table in parameter descriptions. If not set, the wording "the input table" is used.

Parameters:
  `inDescrip` - text to replace "the input table"
  `tableParam` - if supplied, gives the table parameter on behalf of which this format parameter is operating; may be null

### getUsage

public String getUsage()

Overrides:
  `getUsage` in class `uk.ac.starlink.task.Parameter<String>`

### getExtraUsage

public String getExtraUsage(TableEnvironment env)
Description copied from interface: `ExtraParameter`
Returns an extended usage message. This should not repeat the content of the normal usage message. It should be preformatted, that is it should contain newlines to keep the line length down to less than 80 characters.

Specified by:
  `getExtraUsage` in interface `ExtraParameter`
Parameters:
  `env` - execution envrionment
Returns:
  extended usage message

### stringToObject

public String stringToObject(uk.ac.starlink.task.Environment env, String stringval) throws uk.ac.starlink.task.TaskException

Overrides:
  `stringToObject` in class `uk.ac.starlink.task.StringParameter`
Throws:
  `uk.ac.starlink.task.TaskException`